{
  "type": "minecraft:simple_random_selector",
  "config": {
    "features": [
      {
        "feature": {
          "type": "minecraft:simple_block",
          "config": {
            "to_place": {
              "type": "minecraft:simple_state_provider",
              "state": {
                "Name": "minecraft:honeycomb_block"
              }
            }
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:simple_block",
          "config": {
            "to_place": {
              "type": "minecraft:simple_state_provider",
              "state": {
                "Name": "minecraft:shroomlight"
              }
            }
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:simple_block",
          "config": {
            "to_place": {
              "type": "minecraft:simple_state_provider",
              "state": {
                "Name": "minecraft:mushroom_stem"
              }
            }
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:simple_block",
          "config": {
            "to_place": {
              "type": "minecraft:simple_state_provider",
              "state": {
                "Name": "minecraft:red_mushroom_block"
              }
            }
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:simple_block",
          "config": {
            "to_place": {
              "type": "minecraft:simple_state_provider",
              "state": {
                "Name": "minecraft:cherry_leaves"
              }
            }
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:simple_block",
          "config": {
            "to_place": {
              "type": "minecraft:simple_state_provider",
              "state": {
                "Name": "minecraft:brown_mushroom_block"
              }
            }
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:simple_block",
          "config": {
            "to_place": {
              "type": "minecraft:simple_state_provider",
              "state": {
                "Name": "minecraft:acacia_leaves"
              }
            }
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:vegetation_patch",
          "config": {
            "surface": "floor",
            "xz_radius": {
              "type": "uniform",
              "min_inclusive": 4,
              "max_inclusive": 7
            },
            "vertical_range": 2,
            "vegetation_feature": {
              "feature": "dripleaf",
              "placement": []
            },
            "vegetation_chance": 0.05,
            "ground_state": {
              "type": "minecraft:simple_state_provider",
              "state": {
                "Name": "minecraft:grass_block"
              }
            },
            "replaceable": "#lush_ground_replaceable",
            "depth": 3,
            "extra_bottom_block_chance": 0.8,
            "extra_edge_column_chance": 0.7
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:block_column",
          "config": {
            "allowed_placement": {
              "type": "minecraft:matching_blocks",
              "blocks": "minecraft:air"
            },
            "direction": "up",
            "layers": [
              {
                "height": {
                  "type": "uniform",
                  "min_inclusive": 1,
                  "max_inclusive": 5
                },
                "provider": {
                  "type": "minecraft:simple_state_provider",
                  "state": {
                    "Name": "minecraft:bamboo_block"
                  }
                }
              }
            ],
            "prioritize_tip": false
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:vegetation_patch",
          "config": {
            "surface": "floor",
            "xz_radius": {
              "type": "uniform",
              "min_inclusive": 4,
              "max_inclusive": 7
            },
            "vertical_range": 2,
            "vegetation_feature": {
              "feature": {
                "type": "minecraft:block_column",
                "config": {
                  "allowed_placement": {
                    "type": "minecraft:matching_blocks",
                    "blocks": "minecraft:air"
                  },
                  "direction": "up",
                  "layers": [
                    {
                      "height": {
                        "type": "uniform",
                        "min_inclusive": 3,
                        "max_inclusive": 8
                      },
                      "provider": {
                        "type": "minecraft:simple_state_provider",
                        "state": {
                          "Name": "minecraft:bamboo"
                        }
                      }
                    }
                  ],
                  "prioritize_tip": false
                }
              },
              "placement": []
            },
            "vegetation_chance": 0.05,
            "ground_state": {
              "type": "minecraft:simple_state_provider",
              "state": {
                "Name": "minecraft:grass_block"
              }
            },
            "replaceable": "#lush_ground_replaceable",
            "depth": 3,
            "extra_bottom_block_chance": 0.8,
            "extra_edge_column_chance": 0.7
          }
        },
        "placement": []
      }
    ]
  }
}